Bug 206901 - devel/git - Lighten perl dependencies
Summary: devel/git - Lighten perl dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-03 21:42 UTC by Adam Weinberger
Modified: 2016-03-17 02:46 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2016-02-03 21:42:42 UTC
Right now, enabling the PERL option brings in p5-Error, p5-Net-SMTP-SSL, and p5-Authen-SASL.

There are two uses for perl in git: perl hooks for git and git-svn, and the git-send-email script (which sends patches via email).

The perl hooks, which I suspect is what the majority of people are looking for when they enable PERL, only requires p5-Error.

The git-send-email script pulls in the other two, along with at minimum p5-Digest-HMAC, p5-IO-Socket-SSL, p5-Net-SSLeay, p5-IO-Socket-IP, p5-Socket, and p5-Mozilla-CA.

    [root@apnoea /usr/ports/devel/git] egrep -rl '(Net::SMTP::SSL|Authen::SASL)' work/stage
    work/stage/usr/local/libexec/git-core/git-send-email

I'd propose reducing the PERL dependency to just p5-Error, and add a new SEND_EMAIL option that can bring in the rest.
Comment 1 Adam Weinberger freebsd_committer 2016-02-03 21:56:33 UTC
I hope I created the phabricator diff correctly. It's review D5179.
Comment 2 commit-hook freebsd_committer 2016-02-04 17:33:21 UTC
A commit references this bug:

Author: adamw
Date: Thu Feb  4 17:33:14 UTC 2016
New revision: 408063
URL: https://svnweb.freebsd.org/changeset/ports/408063

Log:
  Lighten up the Perl dependencies.

  git uses Perl for two things: Perl hooks into git, and the
  git-send-email(1) script.

  The Perl hooks only use p5-Error. The other modules dependencies,
  p5-Authen-SASL and p5-Net-SMTP-SSL (which bring in a number of other
  perl module dependencies) are only required for git-send-email(1).

  This commit adds a SEND_EMAIL option, defaulted to on, that auto-enables
  the PERL option and installs the git-send-email(1) script with the
  extra perl modules.

  With the PERL option on and SEND_EMAIL off, only the p5-Error module
  is required.

  No PORTREVISION bump as the default dependencies and plist haven't changed.

  PR:		206901
  Approved by:	garga (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D5179

Changes:
  head/devel/git/Makefile
  head/devel/git/pkg-plist
Comment 3 Adam Weinberger freebsd_committer 2016-02-04 17:34:54 UTC
Committed. Thanks, Renato!
Comment 4 commit-hook freebsd_committer 2016-03-17 02:46:11 UTC
A commit references this bug:

Author: junovitch
Date: Thu Mar 17 02:45:54 UTC 2016
New revision: 411252
URL: https://svnweb.freebsd.org/changeset/ports/411252

Log:
  MFH: r405346, r408063, r409422, r409430

  r405346:
  Update devel/git to 2.7.0

  r408063:
  Lighten up the Perl dependencies.

  git uses Perl for two things: Perl hooks into git, and the
  git-send-email(1) script.

  The Perl hooks only use p5-Error. The other modules dependencies,
  p5-Authen-SASL and p5-Net-SMTP-SSL (which bring in a number of other
  perl module dependencies) are only required for git-send-email(1).

  This commit adds a SEND_EMAIL option, defaulted to on, that auto-enables
  the PERL option and installs the git-send-email(1) script with the
  extra perl modules.

  With the PERL option on and SEND_EMAIL off, only the p5-Error module
  is required.

  No PORTREVISION bump as the default dependencies and plist haven't changed.

  PR:		206901
  Approved by:	garga (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D5179

  r409422:
  Update devel/git to 2.7.2

  r409430:
  Fix plist with NLS on after r409422.

  PR:		208074
  Reported by:	Sevan Janiyan <venture37@geeklan.co.uk> (via PR)
  Reported by:	Tony Tung <tonytung@merly.org> (via email)
  Security:	CVE-2016-2315
  Security:	https://vuxml.FreeBSD.org/freebsd/93ee802e-ebde-11e5-92ce-002590263bf5.html
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/devel/git/Makefile
  branches/2016Q1/devel/git/distinfo
  branches/2016Q1/devel/git/pkg-plist